be.vlaanderen.mercurius.mohm.schemas.v1

## Class StatusListType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.StatusListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:44:44+02:00",
                 comments="JAXB RI v2.2.11")
      public class StatusListType
      extends Object
      implements Serializable

  Generiek type voor de lijst met statussen.

  Java class for StatusListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StatusListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}StatusType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<StatusType>` | `getStatuses()` Gets the value of the statuses property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusListType

          public StatusListType()

  - ### Method Detail

    - #### getStatuses

          public List<StatusType> getStatuses()

      Gets the value of the statuses property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the statuses property.

      For example, to add a new item, do as follows:

              getStatuses().add(newItem);

      Objects of the following type(s) are allowed in the list `StatusType`

Connector Packaging TRUSSMAKER 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.